How to upgrade
#1
Hi,

I have installed xenial-mate-rock64-0.5.14-133-arm64.img.xz on my eMMC. I just want to upgrade to a newer release, for example 0.5.15 build-rock-64-136.

With 
Code:
sudo apt-get update -y
sudo apt-get install linux-rock64 -y

I get "linux-rock64 is already the newest version (0.5.14)."
What I'm doing wrong?
Michael
  Reply
#2
you may not be doing anything wrong. build 0.5.14 may be the latest stable and the 0.5.15 build may be just a pre-release which has yet to be a final stable. i have not looked at the builds on github so i am not certain but there is usually a stable which will not update until the next final stable is released. iow, 0.5.15 might be a beta release candidate right now.
  Reply
#3
(11-02-2017, 05:18 PM)dkryder Wrote: you may not be doing anything wrong. build 0.5.14 may be the latest stable and the 0.5.15 build may be just a pre-release which has yet to be a final stable. i have not looked at the builds on github so i am not certain but there is usually  a stable which will not update until the next final stable is released. iow, 0.5.15 might be a beta release candidate right now.

0.5.14: jenkins-linux-build-rock-64-133 was a pre release, so the question is, how to upgrade to another pre release which includes some other fixes?
  Reply
#4
Have you tried

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
sudo apt-get install linux-rock64

And what are your ppa settings ( you can see this graphocaly in software & update ) for example :

[Image: zR00S.png]
  Reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  how to upgrade? skipper 0 79 06-10-2019, 02:07 AM
Last Post: skipper
  Should I Upgrade? MotoTom 1 310 10-03-2018, 08:39 PM
Last Post: netadmin90
  Rock64 no longer boots after dist-upgrade KernelPanic 9 696 06-16-2018, 11:03 AM
Last Post: KernelPanic
  canNOT boot after a normal apt upgrade cooker 2 290 05-28-2018, 12:35 PM
Last Post: zaflaucich
  apt-get upgrade breaks python3 edwinbmiller 10 868 04-26-2018, 08:28 PM
Last Post: bony
Photo Failure to upgrade will be wrong ycllwl 1 256 03-26-2018, 12:53 PM
Last Post: xalius
  bionic upgrade errors 6.25 193 noob 0 410 03-17-2018, 01:35 PM
Last Post: noob

Forum Jump:


Users browsing this thread: 1 Guest(s)